package chatrecords

import (
	"context"
	"github.com/suyuan32/simple-admin-common/msg/errormsg"

	"wechat-api/internal/svc"
	"wechat-api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type UpdateChatRecordsLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewUpdateChatRecordsLogic(ctx context.Context, svcCtx *svc.ServiceContext) *UpdateChatRecordsLogic {
	return &UpdateChatRecordsLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx}
}

func (l *UpdateChatRecordsLogic) UpdateChatRecords(req *types.ChatRecordsInfo) (*types.BaseMsgResp, error) {
	return &types.BaseMsgResp{
		Code: 0,
		Msg:  errormsg.Success,
	}, nil
}
